Download icon

AirPort Extreme Driver Update 2005-001

AirPort offers the perfect wireless solution for home, business or school.

This update resolves AirPort compatibility issues with certain third party 802.11 cards and access points for OS X 10.3.3 through 10.3.9.

System Requirements:
- Mac OS X v10.3.3 through 10.3.9
- AirPort Extreme card


For the latest information on AirPort software, check , Software Update in System Preferences or the following Apple websites

AirPort Express website
http://www.apple.com/airportexpress

AirPort Extreme website
http://www.apple.com/airportextreme

Apple Support website
http://www.apple.com/support

Internet service provider (ISP) compatibility:
Internet access requires a compatible ISP; fees may apply.

For more information on using AirPort Extreme or AirPort Express with your Internet account, contact your ISP or go to the AppleCare Knowledge Base at:
http://www.apple.com/support.

File Size: 564KB

System Requirements Supported Languages